scala.tools.nsc.transform.Mixin

# MixinTransformer

#### class MixinTransformer extends Global.Transformer

Source
  Mixin.scala

Linear Supertypes
Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MixinTransformer
2. Transformer
3. Transformer
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MixinTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MixinTransformer to any2stringadd[MixinTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MixinTransformer, B)

   Implicit information
     This member is added by an implicit conversion from MixinTransformer to ArrowAssoc[MixinTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     Transformer

8. #### def bitmapCategory(field: Global.Symbol): Global.Name

   Examines the symbol and returns a name indicating what brand of bitmap it requires.

   Examines the symbol and returns a name indicating what brand of bitmap it requires. The possibilities are the BITMAP_* vals defined in StdNames. If it needs no bitmap, nme.NO_NAME.

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

11. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

12. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

13. #### def ensuring(cond: (MixinTransformer) ⇒ Boolean, msg: ⇒ Any): MixinTransformer

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to Ensuring[MixinTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (MixinTransformer) ⇒ Boolean): MixinTransformer

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to Ensuring[MixinTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): MixinTransformer

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to Ensuring[MixinTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): MixinTransformer

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to Ensuring[MixinTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to StringFormat[MixinTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def needsInitAndHasOffset(sym: Global.Symbol): Boolean

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def transform(tree: Global.Tree): Global.Tree

    The main transform method.

    The main transform method. This performs pre-order traversal preTransform at mixin phase; when coming back, it performs a postTransform at phase after.

    Definition Classes
      MixinTransformer → Transformer

31. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

32. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

33. #### def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]

    Definition Classes
      Transformer

34. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

35. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

36. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

37. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

38. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

39. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

40. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

41. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

42. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

43. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def →[B](y: B): (MixinTransformer, B)

    Implicit information
      This member is added by an implicit conversion from MixinTransformer to ArrowAssoc[MixinTransformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MixinTransformer to any2stringadd[MixinTransformer]

### Inherited by implicit conversion StringFormat from MixinTransformer to StringFormat[MixinTransformer]

### Inherited by implicit conversion Ensuring from MixinTransformer to Ensuring[MixinTransformer]

### Inherited by implicit conversion ArrowAssoc from MixinTransformer to ArrowAssoc[MixinTransformer]

### Ungrouped